Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in Sudo
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in Sudo
ID: USN-3968-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS
Datum: Mo, 6. Mai 2019, 21:03
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-7076
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1000368
Applikationen: sudo

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============6356197314242548435==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="GMip9dXboyW0bMZKARV53AbJEV5C70BqW"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--GMip9dXboyW0bMZKARV53AbJEV5C70BqW
Content-Type: multipart/mixed;
boundary="Ux1ewTItz2B9euEV5LO1TcXJ3NuhhcMUg";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <459d14a0-a082-aeec-c995-438f856ba204@canonical.com>
Subject: [USN-3968-1] Sudo vulnerabilities

--Ux1ewTItz2B9euEV5LO1TcXJ3NuhhcMUg
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3968-1
May 06, 2019

sudo vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in Sudo.

Software Description:
- sudo: Provide limited super user privileges to specific users

Details:

Florian Weimer discovered that Sudo incorrectly handled the noexec
restriction when used with certain applications. A local attacker could
possibly use this issue to bypass configured restrictions and execute
arbitrary commands. (CVE-2016-7076)

It was discovered that Sudo did not properly parse the contents of
/proc/[pid]/stat when attempting to determine its controlling tty. A local
attacker in some configurations could possibly use this to overwrite any
file on the filesystem, bypassing intended permissions. (CVE-2017-1000368)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 LTS:
sudo 1.8.16-0ubuntu1.6
sudo-ldap 1.8.16-0ubuntu1.6

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3968-1
CVE-2016-7076, CVE-2017-1000368

Package Information:
https://launchpad.net/ubuntu/+source/sudo/1.8.16-0ubuntu1.6


--Ux1ewTItz2B9euEV5LO1TcXJ3NuhhcMUg--

--GMip9dXboyW0bMZKARV53AbJEV5C70BqW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlzQgZ0ACgkQZWnYVadE
vpNzYA//dCrwKRiD4lNuB3F6k+hGUGzYQnQPAOJ8GFes/MPCGBtDJXsT0/SoLqW9
6EYGfWbC8WTxF4Ur0EzalxoXM1+6tOU30GhQUTtQo/+kPj8LP17TrxQp8mbD2qlp
gVGfUknuobEDM0mxJgzAFWhfR3VYJTuviDTBtpOFUoRzOfdvHcIyaP8/kgitpazt
+gXHLuDmuP5nKQ6XwCpeex0hMao96kxXjA/a6OhcpAYtRC7dbyGZHN+RRAFzaE/C
bLh8gqQn0nUoUY6u/HNEZJS0vUD8Kp6btXPtxcVgf2kZaHu+1pbvEN0tP+R49W9Y
/zvC6zZ5PEwj8eBHf2FoUP2AGycVcFHf9vyAPO/CpyDZ0ltSQ/bsmRYoM6MJ8t3v
/WaNz1rejhyhMxtNTHG7Tn9Kc97OIOH6BtVuqdeRHIIlFUaeBQDFn2egr7SsmcO/
VNlldSXSNu5FXlsRlbRGghNwX7PbkdLupS106fIb9hwoJgWY9ci/e8ix73jBDpfu
yaXVIcoy5NEpk38lGSlzpvdKqaQLxXGp/tX+lnr4ZuD2OliyzJm902oTsppxmyQZ
4QENn+Kl6es0bvTh4W44TPMHq5qen7U61QUY/W1wc029UYNh7Ga42iIWmYA7R0sn
I7zatPbCrLn+k2cpDVwZ/0MIj4FraRMBps3SrI0muv3ttl7MmC4=
=4ZZZ
-----END PGP SIGNATURE-----

--GMip9dXboyW0bMZKARV53AbJEV5C70BqW--


--===============6356197314242548435==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============6356197314242548435==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung